boost::locale::boundary::boundary_indexing< Char > Class Template Referenceabstract
Boundary Analysis

This facet generates an index for boundary analysis of a given text. More...

`#include <boost/locale/boundary/facets.hpp>`

Inheritance diagram for boost::locale::boundary::boundary_indexing< Char >:

## Public Member Functions

| boundary_indexing (size_t refs=0)
| Default constructor typical for facets.
virtual index_type | map (boundary_type t, const Char *begin, const Char *end) const =0

## Detailed Description

template<typename Char>
class boost::locale::boundary::boundary_indexing< Char >

This facet generates an index for boundary analysis of a given text.

It is implemented for supported character types, at least `char`, `wchar_t`

Examples
  boundary.cpp, and wboundary.cpp.

## Member Function Documentation

## map()

template<typename Char >

virtual index_type boost::locale::boundary::boundary_indexing< Char >::map | ( | boundary_type | t,
|  | const Char * | begin,
|  | const Char * | end
| ) |  | const

pure virtual

Create index for boundary type t for text in range [begin,end)

The returned value is an index of type index_type. Note that this index is never empty, even if the range [begin,end) is empty it consists of at least one boundary point with the offset 0.

The documentation for this class was generated from the following file:

- boost/locale/boundary/facets.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.